%global mod_name Flask-WTF

# python3-flask-babel is not yet available,
# so python3 subpackage is disabled by default
%bcond_with python3

Name:           python-flask-wtf
Version:        0.10.0
Release:        %mkrel 6
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
License:        BSD
URL:            https://github.com/lepture/flask-wtf
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-wtforms > 1.0
BuildRequires:  python-setuptools
BuildRequires:  python-flask
BuildRequires:  python-nose
BuildRequires:  python-flask-babel
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-wtforms > 1.0
BuildRequires:  python3-setuptools
BuildRequires:  python3-flask
BuildRequires:  python3-nose
BuildRequires:  python3-flask-babel
%endif
Requires:       python-wtforms > 1.0

%description
Flask-WTF offers simple integration with WTForms. This integration 
includes optional CSRF handling for greater security.

%if %{with python3}
%package -n python3-flask-wtf
Summary:        Simple integration of Flask and WTForms
Group:          Development/Python
Requires:       python3-wtforms > 1.0

%description -n python3-flask-wtf
Flask-WTF offers simple integration with WTForms. This integration 
includes optional CSRF handling for greater security.
%endif

%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/index.rst.orig

%if %{with python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %{with python3}
pushd %{py3dir}
%py3_build
popd
%endif

%check
%{__python2} setup.py test

%if %{with python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%install
%py2_install

%if %{with python3}
pushd %{py3dir}
%py3_install
popd
%endif
 
%files
%license LICENSE
%doc docs/ PKG-INFO
%{python2_sitelib}/*.egg-info/
%{python2_sitelib}/flask_wtf/

%if %{with python3}
%files -n python3-flask-wtf
%license LICENSE
%doc docs/ PKG-INFO
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/flask_wtf/
%endif




%changelog
* Sat May 28 2016 ngompa <ngompa> 0.10.0-6.mga6
+ Revision: 1019158
- imported package python-flask-wtf

